#
# Conditional build:
%bcond_with	gtk3		# use GTK+ 3.x instead of 2.x

Summary:	MATE Desktop settings daemon
Summary(pl.UTF-8):	Demon ustawień środowiska MATE Desktop
Name:		mate-settings-daemon
Version:	1.16.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.16/%{name}-%{version}.tar.xz
# Source0-md5:	4e1fa442b5980cb9723006deea165947
URL:		http://wiki.mate-desktop.org/mate-settings-daemon
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-devel >= 1.1.2
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	dconf-devel >= 0.13.4
BuildRequires:	fontconfig-devel
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.36.0
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= 2:2.24.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0.0}
BuildRequires:	intltool >= 0.50.1
%{!?with_gtk3:BuildRequires:	libcanberra-gtk-devel}
%{?with_gtk3:BuildRequires:	libcanberra-gtk3-devel}
BuildRequires:	libmatekbd-devel >= 1.7.0
BuildRequires:	libmatemixer-devel >= 1.9.0
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	libtool
BuildRequires:	libxklavier-devel >= 5.0
BuildRequires:	mate-common
BuildRequires:	mate-desktop-devel >= 1.9.4
BuildRequires:	nss-devel >= 3.11.2
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel >= 0.97
BuildRequires:	pulseaudio-devel >= 0.9.16
BuildRequires:	rpmbuild(macros) >= 1.596
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXxf86misc-devel
BuildRequires:	xz
Requires:	dbus >= 1.1.2
Requires:	dbus-glib >= 0.74
Requires:	dconf >= 0.13.4
Requires:	glib2 >= 1:2.36.0
Requires:	gsettings-desktop-schemas
%{!?with_gtk3:Requires:	gtk+2 >= 2:2.24.0}
%{?with_gtk3:Requires:	gtk+3 >= 3.0.0}
Requires:	gtk-update-icon-cache
Requires:	libmatekbd >= 1.7.0
Requires:	libmatemixer >= 1.9.0
Requires:	libnotify >= 0.7.0
Requires:	libxklavier >= 5.0
Requires:	mate-desktop >= 1.9.4
Requires:	mate-icon-theme
Requires:	polkit >= 0.97
Requires:	pulseaudio-libs >= 0.9.16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# NOTE: we must move %{_libexecdir}/mate-settings-daemon out of %{_libdir},
# because it conflicts with %{_libdir}/mate-settings-daemon plugin dir
# (not using %{_libdir}/%{name} not to mess programs with plugins)
%define		_libexecdir %{_libdir}/mate-settings-daemon-exec

%description
MATE Desktop settings daemon. It's a fork of gnome-settings-daemon.

%description -l pl.UTF-8
Demon ustawień środowiska MATE Desktop. Jest to odgałęzienie pakietu
gnome-settings-daemon.

%package devel
Summary:	Development files for mate-settings-daemon
Summary(pl.UTF-8):	Pliki programistyczne pakietu mate-settings-daemon
Group:		Development/Libraries
# doesn't require base
Requires:	dbus-devel >= 1.1.2
Requires:	dbus-glib-devel >= 0.74
Requires:	glib2-devel >= 1:2.36.0

%description devel
Development files for mate-settings-daemon.

%description devel -l pl.UTF-8
Pliki programistyczne pakietu mate-settings-daemon.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--libexecdir=%{_libdir}/mate-settings-daemon-exec \
	--enable-polkit \
	--enable-pulse \
	--enable-smartcard-support \
	--disable-schemas-compile \
	--disable-silent-rules \
	--disable-static \
	--with-gnu-ld \
	%{?with_gtk3:--with-gtk=3.0} \
	--with-nssdb \
	--with-x

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install -j1 \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/*.la

# not supported by glibc yet
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{frp,pms}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache mate
%glib_compile_schemas

%postun
%update_icon_cache mate
if [ "$1" -eq 0 ]; then
	%glib_compile_schemas
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%dir %{_libexecdir}
%attr(755,root,root) %{_libexecdir}/mate-settings-daemon
%attr(755,root,root) %{_libexecdir}/msd-datetime-mechanism
%attr(755,root,root) %{_libexecdir}/msd-locate-pointer
%dir %{_libdir}/mate-settings-daemon
%attr(755,root,root) %{_libdir}/mate-settings-daemon/*.so
%{_libdir}/mate-settings-daemon/*.mate-settings-plugin
%{_datadir}/mate-settings-daemon
%{_datadir}/dbus-1/services/org.mate.SettingsDaemon.service
%{_datadir}/dbus-1/system-services/org.mate.SettingsDaemon.DateTimeMechanism.service
%{_datadir}/glib-2.0/schemas/org.mate.SettingsDaemon.plugins.*.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.applications-at.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.font-rendering.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.peripherals-smartcard.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.peripherals-touchpad.gschema.xml
%dir %{_datadir}/mate-control-center
%dir %{_datadir}/mate-control-center/keybindings
%{_datadir}/mate-control-center/keybindings/50-accessibility.xml
%{_datadir}/polkit-1/actions/org.mate.settingsdaemon.datetimemechanism.policy
/etc/dbus-1/system.d/org.mate.SettingsDaemon.DateTimeMechanism.conf
%{_sysconfdir}/xdg/autostart/mate-settings-daemon.desktop
%dir %{_sysconfdir}/xrdb
%{_sysconfdir}/xrdb/*.ad
%{_iconsdir}/hicolor/*/apps/msd-xrandr.*
%{_iconsdir}/mate/*/actions/touchpad-*.*
%{_mandir}/man1/mate-settings-daemon.1*
%{_mandir}/man1/msd-datetime-mechanism.1*
%{_mandir}/man1/msd-locate-pointer.1*

%files devel
%defattr(644,root,root,755)
%{_includedir}/mate-settings-daemon
%{_pkgconfigdir}/mate-settings-daemon.pc
%changelog
* Fri Sep 23 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-settings-daemon.git;a=log;h=master

* Thu Sep 22 2016 Jan Palus <atler@pld-linux.org> 8cfea35
- up to 1.16.0

* Sat Aug 27 2016 Jakub Bogusz <qboosh@pld-linux.org> de9db73
- grouped locales cleanup

* Fri Aug 12 2016 Jan Palus <atler@pld-linux.org> 6f210bf
- up to 1.14.1

* Sat Apr 09 2016 Jan Palus <atler@pld-linux.org> 85dc83e
- up to 1.14.0

* Mon Nov 30 2015 Jan Palus <atler@pld-linux.org> 53ed03b
- up to 1.12.1

* Sat Nov 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 3a0515f
- libcanberra-gtk BR depends on gtk version

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> ccde0b7
- up to 1.12.0

* Thu Sep 10 2015 Jakub Bogusz <qboosh@pld-linux.org> 3571815
- updated to 1.10.2

* Wed Jul 15 2015 Jan Palus <atler@pld-linux.org> e8cac62
- up to 1.10.1

* Wed Apr 22 2015 Jakub Bogusz <qboosh@pld-linux.org> 1459b94
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)

* Sun Mar 29 2015 Jan Palus <atler@pld-linux.org> eb8c7af
- up to 1.8.3

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 82f8389
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> ab2ab97
- updated gettext BR

* Mon Sep 29 2014 Jan Palus <atler@pld-linux.org> 9b968a9
- up to 1.8.2

* Mon Jul 07 2014 Jakub Bogusz <qboosh@pld-linux.org> 789934f
- cmn locale is supported now
- added gtk3 bcond

* Wed May 07 2014 Jan Palus <atler@pld-linux.org> f7027b8
- up to 1.8.1
- bumpt mate-desktop version required

* Thu Apr 24 2014 Elan Ruusamäe <glen@delfi.ee> ffa2fed
- explicit configure options; disable gst as it breaks audio unmute

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> 6ea860a
- up to 1.8.0
- run autotools

* Mon Dec 23 2013 Jakub Bogusz <qboosh@pld-linux.org> d5bf790
- release 2

* Mon Dec 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 03126f5
- pl, completed dependencies, resolved libexecdir vs plugindir mess

